"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const Draggable_1 = tslib_1.__importDefault(require("./Draggable"));
const utils_1 = require("./utils");
function ManagedDraggable({ list, setList, children, className, }) {
    const [currentIdx, setCurrentIdx] = react_1.default.useState(null);
    const [toIdx, setToIdx] = react_1.default.useState(null);
    const onDragStart = (idx) => {
        setCurrentIdx(idx);
    };
    const onDragEnter = (idx) => {
        setToIdx(idx);
    };
    const onDragEnd = () => {
        const _currentIdx = currentIdx;
        const _toIdx = toIdx;
        if (currentIdx !== toIdx) {
            setCurrentIdx(null);
            setToIdx(null);
            setList((0, utils_1.move)(list, _currentIdx, _toIdx));
        }
    };
    return (react_1.default.createElement(react_1.default.Fragment, null, react_1.default.Children.map(children, (child, idx) => {
        return (react_1.default.createElement(Draggable_1.default, { key: idx, onDragStart: () => onDragStart(idx), onDragEnter: () => onDragEnter(idx), onDragEnd: () => onDragEnd(), className: className }, child));
    })));
}
exports.default = ManagedDraggable;
//# sourceMappingURL=Managed.js.map